Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
marshal_compat_t Struct Reference

## Data Fields
VALUE | newclass
VALUE | oldclass
VALUE(* | dumper )(VALUE)
VALUE(* | loader )(VALUE, VALUE)

## Detailed Description

Definition at line 102 of file marshal.c.

## Field Documentation

## ◆ dumper

VALUE(* marshal_compat_t::dumper) (VALUE)

Definition at line 105 of file marshal.c.

Referenced by rb_marshal_define_compat().

## ◆ loader

VALUE(* marshal_compat_t::loader) (VALUE, VALUE)

Definition at line 106 of file marshal.c.

Referenced by rb_marshal_define_compat().

## ◆ newclass

VALUE marshal_compat_t::newclass

Definition at line 103 of file marshal.c.

Referenced by rb_marshal_define_compat().

## ◆ oldclass

VALUE marshal_compat_t::oldclass

Definition at line 104 of file marshal.c.

Referenced by rb_marshal_define_compat().

The documentation for this struct was generated from the following file:

- marshal.c